@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&family=Lobster&family=Pacifico&display=swap');
body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  /*font-family: "Roboto", Arial, Helvetica, sans-serif;*/
    font-size: 16px;
    line-height: 1.25em;
    font-weight: 400;
}

h1{
    font-family: "Montserrat", sans-serif;
    font-size: 2em;
    font-weight: 700;
    margin-top: 1.25em;
}

h2{
    font-size: 1.5em;
    font-weight: 600;
    margin-top: 1.25em;
}

h3{
    font-size: 1.25em;
    font-weight: 500;
    margin-top: 1.25em;
}
h1,h2,h3,h4,h5,h6 {
    line-height: 1.25em;
}

p>img {
    float: right;
}

ul{
    list-style: disc;
    margin-left: 2vh;
}

ul>ul>li {
    list-style-type: square;
}

ol {
    list-style-type: upper-alpha;
    margin-left: 2vh;
}
ol>ol>li {
    list-style-type: lower-alpha;
}

.s1-b1 .btn {
    display: flex;
    position: relative;
    background: rgb(250, 142, 53);
    border-radius: 30px;
    margin: 2em 0.5vh 0 0vh;
    padding: 0.8vh;
    width: 25%;
    padding-top: 0.9vh;
    height: auto;
    text-align: center;
    justify-content: center;
    text-transform:uppercase;
    font-weight: bold;
    font-size: 0.95em;
}

.s1-b2 {
    display: flex;
    justify-content: center;
}

.mobile-menu, .mobile-menu-sec2 {
    display: none;
}

.mobile-menu.open, .mobile-menu-sec2.open {
    display: flex;
}

/*  CLASSE OUTILS */

.row {
    display: flex;
    flex-direction: row;
}

.col {
    display: flex;
    flex-direction: column;
}

.container {
    width: 50%;
    margin: auto;
}

/* disposition */ 

.demi {
    width: 50%;
}

.tier {
    width: 33%;
}

.quar {
    width: 25%;
}

/* styles personnalisé commun */ 

.bg-sec2>.container, .bg-sec3>.container  {
    position: relative;
    height: auto;
} 

.ff-1 {
    font-family: "Figtree", serif;
}

/* HEADER */

header {
    display: flex;
    position: relative;
}

.header-box {
    display: flex;
    width: 100%;
    height: 8vh;
    background: rgba(0, 0, 0, 1);

}

.space-header {
    justify-content: space-between;
    padding: 0% 0.5%;
}

.space-header>a>p {
    text-align: center;
}

.navbar {
    color: white;
}

.navbar>ul>li {
    list-style: none;
    padding-left: 15px;
}

.navbar a {
    transition: all 0.5s ease;
}
.navbar a:hover {
    color: rgb(250, 142, 53);
}

.header-box>.space-header>a{
    color: white;
    font-size: 1.5em;
}

.header-box span, .t-sec1 span {
    color: rgb(250, 142, 53);
}

/* SECTION 1 */

.bg-sec1 {
    display: flex;
    background: #15232f;
    color: #fff;
    min-height: 92vh;
    overflow: hidden;
}

.s1-b1 {
    line-height: 2em;
    margin-right: 5%;
}

.s1-b1 a.btn:hover {
    padding: 1vh;
} 

.s1-b1>.t-sec1 {
    width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
}

.s1-b1>p {
    margin-top: 2vh;
}

.t-sec1 {
    margin-bottom: 2%;
}

.t-sec1 h1, .t-sec1 h2 {
    margin-top: 1vh;
}

.t-sec1 h1 {
    font-size: 4em;

}

.t-sec1 h2 {
    font-size: 1.5em;
    margin-top: 0vh;
}

/* SECTION 2 */

.bg-sec2 {
    min-height: 75vh;
    display: flex;
    height: auto;
    overflow: hidden;
}

.bar-menu {
    position: absolute;
    top: 2%; 
    width: 100%;
    align-items: center;
    justify-content: space-around;
    height: 7vh;
    text-transform: uppercase;
}

.bar-menu h2 {
    font-family: "Figtree", serif;
    margin-top: 0em;
}

.menu-navbar {
    display: flex;
    justify-content: center;
}
.menu-navbar>ul {
    margin-left: 0vh;
}

.menu-navbar>ul>li {
    list-style: none;
    padding: 7.5px;
    margin: 7.5px;
    border: 1px solid;
    border-radius: 5px;
    transition: all 0.3s ease-in;
}

.menu-navbar>ul>li:hover {
    background: rgb(250, 142, 53);
    border-color: rgb(250, 142, 53);
    color: #fff;
}


.box-menu {
    display: flex;
    position: relative;
    top: calc(3% + 4vh + 5%);
    min-height: 300px;
    background: #f8f7f0;
    border-radius: 20px;
    overflow: hidden;

}

.Menu1 {
    position: relative;

}

.Menu1 h5 {
    display: flex;
    position: relative;
    width: 100%;
    bottom: 2%;
    margin-bottom: 2%;
    text-align: center;
    justify-content: center;
    
}

.s2-1 {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 1fr;
}

.s2-box:nth-child(2){
    margin: 0 5% 0% 5%;
}

.s2-box:nth-child(3){
    margin: 5% 5% 0 5%;
}

.s2-box:last-child{
    margin: 0 5% 5% 5%;
}


.Pmenu:nth-child(2) {
    margin: 0 5% -2% 5%;
}

.Pmenu:nth-child(3) {
    margin: 5% 5% -2% 5%;
}

.Pmenu:last-child  {
    margin: -2% 5% 5% 5%;
}

.s2-1, .s2-2, .s1-1 {
    width: 100%;
    min-height: 200px;
    height: auto;
}

.s2-box {
    position: relative;
    margin: 5%;
}

.drink-head {
    position: relative;
    margin-top: 3%;
    margin-bottom: 3%;

}

.title-menu {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    top: 60%;
    height: 5%;
    width: 100%;
    margin-bottom: 30px;

}
.s1-1 {
    display: flex;
    align-items: center;
    justify-content: center;
}
.s1-1>.row>.title-menu {
    width: 50%;
    margin-top: 2%;
}

.title-menu h3 {
    margin-top: 0;
}

.bar {
    width: 25%;
    height: 3px;
    background: black;
    margin: 0 5%;
}

.head-box {
    justify-content: space-between;
    margin: 2% 5% 0% 5%;
    text-transform: uppercase;
    font-weight: bold;
}
.head-box span{
    color: rgba(204, 18, 18, 0.959);
}
.s2-box>p {
    margin: 0% 5% 0% 5%;
}

.s2-box hr {
    border-style: dotted;
    margin: 0% 5% 2% 5%;
}

.s2-2 {
    display: flex;
    position: relative;
    border-radius: 30px;
    margin: 2% 2% 2% 0%;
    background-size: cover;
    background-position: center;
    transition: background-image 0.3s ease;
}

.s2-box {
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.s2-box:hover {
    background-color: #f9f9f9; 
    border-radius: 10px;
}
.img-para {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* BOUTON TOP */ 

.btn-top {
    display: flex;
    position: fixed;
    text-align: center;
    justify-content: center;
    bottom: 3vh;
    right: 3vh;
    background: rgb(250, 142, 53);
    border-radius: 5px;
    z-index: 2;
}

.btn-top ul {
    margin-left: 0vh;
    padding: 5px;
}


/*   SECTION 3   */

.bg-sec3 {
    display: flex;
    background: rgba(248, 248, 248, 1);
    min-height: 100vh;
    overflow: hidden;
}

.l-box-s3 {
    display: flex;
    justify-content: center;
}

.l-box-s3>h2 {
    text-transform: uppercase;
    font-size: 2rem;
    margin-top: 0;
}

.l-box-s3>h2 span {
    color: rgb(250, 142, 53);
}

.l-box-s3>h3 {
    margin: 2% 0% 2% 0%;

}

.line-r {
    display: flex;
    position: relative;
    width: 90%;
    height: 5px;
    background: rgb(226, 226, 226);
    margin: 4% 0% 1.5% 0%;
    align-items: center;
}

.cursor-select {
    position: absolute;
    background-color: rgb(250, 142, 53);
    width: 10px;
    height: 10px;
    border-radius: 50%;
}

.cs-pos1 {
    left: 5%;
    background: red;
}

.cs-pos2 {
    left: 50%;
    background: orange;
    visibility: hidden;
}

.cs-pos3 {
    left: 95%;
    background: green;
    visibility: hidden;
}

.cs-pos1:hover, .cs-pos2:hover, .cs-pos3:hover {
    cursor: pointer;
}

.info-r {
    display: flex;
    width: 90%;
    justify-content: space-between;
}

.info-r p {
    font-size: 15px;
    font-weight: 500;
}

#rtext-1 {
    color: red;
}

#rtext-2 {
    color: rgb(250, 142, 53);
}

#rtext-3 {
    color: green;
}


.S-box, .S-ingr {
    display: grid;
    width: auto;
    grid-template-columns:repeat(4,1fr);
    gap: 10px;

}

.S-ingr .btn-trash {
    display: none; 
    position: absolute;
    background-color: rgb(250, 142, 53);
    box-shadow: 0px 0px 15px -5px;
    border-radius: 50%;
    padding: 5px;
    top: 0;
    right: 0;
    cursor: pointer;
}

.S-ingr .btn-trash {
    display: flex; 
}

.S-ingr, .S-box { 
    margin: 3% 0% 3% 0%;
}
.S-ingr .boxImg {
    position: relative;
    border: 1.5px solid rgb(250, 142, 53);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 75px;
    height: 75px;
    background: rgba(255, 255, 255, 0.534);
    border-radius: 2px;
    box-shadow: 2px 4px 8px -4px;
    transition: all 0.3s ease-in-out;
    overflow: hidden; 

}

.trash-icon {
    position: absolute;
    top: 5px;
    right: 5px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 50%;
    padding: 5px;
    cursor: pointer;
    display: none;
}

.Active-ingr1, .Active-ingr2, .Active-ingr3, .Active-ingr4 {
    position: relative;
}

.btn-trash i {
    color: black;
    font-size: 16px;
}

.btn-trash {
    display: none;
    position: absolute;
    background-color: rgb(250, 142, 53);
    box-shadow: 0px 0px 15px -5px;
    border-radius: 50px;
    padding: 5px;
    top: 0;
    right: 0;
    cursor: pointer;
}

.S-box > .boxImg img, .S-ingr .boxImg img {
    display: flex;
    width: 80%;
    height: 80%;
    object-fit: cover; 
    border-radius: 2px; 
}


.boxImg {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 75px;
    height: 75px;
    background: rgba(255, 255, 255, 0.534);
    border-radius: 2px;
    box-shadow: 2px 4px 8px -4px;
    transition: all 0.3s ease-in-out;
}

.boxImg:hover {
    width: 80px;
    height: 80px;
    border: 1.5px solid rgb(250, 142, 53);
}

.Selectingr.used {
    opacity: 0.5; 
    pointer-events: none;
}


.confirm-mypizza a{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5% 2% 0% 0%;
    background: black;
    border-radius: 5px;
    padding: 14px;
    color: white;   
    transition: all 1.0s ease;
}

.confirm-mypizza a:hover {
    color: rgb(250, 142, 53);
}

.confirm-mypizza i {
    padding-right: 8%;
}

.r-box-s3 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-renderimg {
    background: rgba(255, 255, 255, 0.534);
    box-shadow: 5px 5px 15px -3px rgba(0,0,0,0.25);
    width: 90%;
    height: 50%;
}



/* SECTION 4 */

.bg-sec4 {
    display: flex;
    min-height: 45vh;
    overflow: hidden;

}

.box-sec4 {
    justify-content: space-around;
    padding: 1%;
    box-shadow: 0px 0px 26px -2px rgba(0,0,0,0.54);
}

.l-sec4 {
    display: flex;
    justify-content: space-between;
    width: 40%;
}

.dot-sec4 {
    margin-bottom: 5%;
}
.dot-sec4 li {
    font-size: 25px;
    margin-right: -15px;
    color: #ccc;
}

.dot-sec4 li:first-child {
    color: rgb(250, 142, 53);
}

.l-sec4>.contenu-l-sec4>h3 {
    margin-top: 0;
    margin-bottom: 10px;
}

.r-sec4 {
    justify-content: center;
    align-items: center;
}

.r-sec4>img {
    border-radius: 5px;
}


/* SECTION 5 */

.bg-sec5 {
    min-height: 45vh;
    height: auto;
    overflow: hidden;
}

.box-sec5 {
    display: flex;
    align-items: center;
    position: relative;
    padding: 40px;
    height: 45vh;
}

.box-sec5 h2 {
    font-size: 24px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 10px;
    margin: 0;
}

.box-sec5 h3 {
    font-size: 32px;
    margin-bottom: 30px;
    text-transform: uppercase;
    margin: 10px 0px 50px 0px;
}

.reservation-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
}

.reservation-form input {
    width: 300px;
    height: 28px;
    padding: 10px;
    margin: 0px 20px 20px 0px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.find-table-btn {
    background-color: rgb(250, 142, 53);
    font-weight: bold;
    color: #fff;
    border: none;
    width: 321px;
    padding: 15px 30px;
    font-size: 16px;
    border-radius: 4px;
    cursor: pointer;
}

.img-pizza-bg {
    z-index: 0;
    position: absolute;
    transform: scaleX(-1);
    top: 0;
    left: 0;
}


/* SECTION 6 */

.bg-sec6 {
    min-height: 50vh;
    display: flex;
    background: rgba(248, 248, 248, 1);
    overflow: hidden;
    justify-content: center;

}

.box-sec6 {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    width: 100%;
    padding: 2rem;
}

.contact-form {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
}

.contact-form input, .contact-form textarea {
    width: 300px;
    height: 28px;
    padding: 10px;
    margin: 0px 20px 20px 0px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.l-box-sec6 {
    width: 100%;
    max-width: 500px;
    margin-right: 2%;
}

.l-box-sec6 h2 {
    margin: 0;
}

.contact-btn {
    background-color: rgb(250, 142, 53);
    font-weight: bold;
    color: #fff;
    border: none;
    width: 321px;
    padding: 15px 30px;
    font-size: 16px;
    border-radius: 4px;
    cursor: pointer;
}

.box-sec6 h2 {
    margin-bottom: 5%;
}

.box-sec6-img img {
    border-radius: 15px;
}



/* SECTION 7 */

.bg-sec7 {
    display: flex;
    min-height: 45vh;
    overflow: hidden;
}

.bg-sec7 h2 {
    margin: 0;
    margin-bottom: 5%;
}

.box-avis {
    margin-right: 5%;
}

.bg-img-profil {
    display: flex;
    justify-content: center;
    background: rgb(138, 138, 138);
    width: 75px;
    height: 75px;
    border-radius: 45px;
    overflow: hidden;
    margin-right: 5%;
}

.bg-img-profil img {
    display: flex;

}

.box-profil {
    display: flex;
    align-items: center;
    margin-top: 10%;
}

.stars-avis i{
    color: rgb(189, 149, 19);
}

.box-avis p {
    text-align: justify;
}




/* FOOTER  */


.bg-footer {
    min-height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #15232f;
    display: flex;
    color: white;
    overflow: hidden;

}

.footer-box>p {
    text-align: center;
    margin: 5vh 0 2vh 0;
}


.box-footer {
    align-items: center;
    text-align: center;
    padding: 0px 50px 0px 50px;
}

.box-footer h3 {
    font-size: 26px;
    margin-bottom: 5%;
}

.box-footer span {
    color: rgb(250, 142, 53);
}

body.menu-open {
    position: fixed;
    width: 100%;
    overflow: hidden;
}
